CometAPI에서 GET /v1/videos//content를 통해 생성된 Sora 2 비디오 바이너리 데이터를 가져와 video_id로 완료된 비디오 출력물을 다운로드합니다.
curl --request GET \
--url https://api.cometapi.com/v1/videos/{video_id}/content \
--header 'Authorization: Bearer <token>'"<string>"completed 상태에 도달한 후 이 엔드포인트를 사용해 완성된 Sora 출력을 다운로드하세요. 그전까지는 비디오 파일 대신 오류가 반환됩니다.
status: completed가 보고될 때까지 기다리세요video_id를 전달하세요비디오 생성 또는 remix
완료될 때까지 폴링
completed 상태에 도달할 때까지 Retrieve Video를 사용하세요.invalid_request_error JSON 응답이 반환되었으며, 이는 렌더링이 아직 진행 중일 때 예상해야 하는 동작입니다.Bearer token authentication. Use your CometAPI key.
Completed video id.
Optional content variant such as the main video, thumbnail, or spritesheet when supported by the provider.
Binary video content.
The response is of type file.
curl --request GET \
--url https://api.cometapi.com/v1/videos/{video_id}/content \
--header 'Authorization: Bearer <token>'"<string>"